Subject: [dhcwg] I-D Action:draft-ietf-dhc-relay-id-suboption-02.txt

From: [email-masked]
Date: Fri, 19 Sep 2008 08:45:01 -0700 (PDT)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Dynamic Host Configuration Working Group of the IETF.

	Title           : The DHCPv4 Relay Agent Identifier Suboption
	Author(s)       : M. Stapp
	Filename        : draft-ietf-dhc-relay-id-suboption-02.txt
	Pages           : 8
	Date            : 2008-09-19

This memo defines a new Relay Agent Identifier suboption for the
Dynamic Host Configuration Protocol's (DHCP) Relay Agent Information
option.  The suboption carries a value that uniquely identifies the
relay agent device.  The value may be administratively-configured or
may be generated by the relay agent.  The suboption allows a DHCP
relay agent to include the identifier in the DHCP messages it sends.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-dhc-relay-id-suboption-02.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg

---

From: Mark Stapp <[email-masked]>
Date: Fri, 19 Sep 2008 11:54:50 -0400

I've updated the relay-id suboption draft to address the comments
that have been offered while folks have been reviewing the previous
version.

I've added an identifier 'type' octet to the suboption, I've tried to
make the distinction between the possible uses of the suboption and the
actual _specification_ clearer, and I've added some text to make the
need for stable storage of the identifier explicit. Please take a look,
and of course send comments to the list.

Thanks,

Mark

[email-masked] wrote:

---

From: Bharat Joshi <[email-masked]>
Date: Thu, 25 Sep 2008 17:50:01 +0530

Hi Mark,

       Couple of things on this new revision:

* In Abstract, can we mention this is for DHCPv4?

* In second paragraph of Introduction, can we add “(Relay-Id)” just after “Relay Agent Identifier” in the first statement.

* Typo “carries an suboption” -> “carries a suboption”

* Typo “ [RFC3315] DUIDs” -> “DUIDs [RFC3315]”

* In last statement of section 3.1, “such as a unique identifier” should be “such as Relay Agent Identifier”

* In section 3.2, draft-kinnear does not use Relay-Id at all. Please check.

* In section 3.2, can we reword second statement as follows?

‘draft-dtv’ describes a case where Relay Agents query DHCP servers using the Relay Id to fetch all the leases allocated through this Relay Agent.

* In section #4, minimum length is defined as one. Is this inclusive of length of ‘type’ field? Should not this be two(2)?

* This draft suggests two different types of Relay Identifiers. So should we now restrict that a Relay Agent SHOULD uses just one of them and should be consistent in its usage of the Relay identifier? Do we see a case where using two different Relay Ids for the same Relay Agent?

* In section #7, can we mention that Stable storage is required only if a Relay Agent can not re-generate the same Relay Id after it reboots.

Thanks,
Bharat

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Mark Stapp
Sent: Friday, September 19, 2008 9:25 PM
To: dhcwg
Subject: Re: [dhcwg] I-D Action:draft-ietf-dhc-relay-id-suboption-02.txt

I've updated the relay-id suboption draft to address the comments that have been offered while folks have been reviewing the previous version.

I've added an identifier 'type' octet to the suboption, I've tried to make the distinction between the possible uses of the suboption and the actual _specification_ clearer, and I've added some text to make the need for stable storage of the identifier explicit. Please take a look, and of course send comments to the list.

Thanks,
Mark

[email-masked]<mailto:[email-masked]> wrote:

       Author(s)       : M. Stapp

       Pages           : 8

       Date            : 2008-09-19

Internet-Draft.

________________________________

dhcwg mailing list

[email-masked]<mailto:[email-masked]>

**************** CAUTION - Disclaimer *****************
This e-mail contains PRIVILEGED AND CONFIDENTIAL INFORMATION intended solely 
for the use of the addressee(s). If you are not the intended recipient, please 
notify the sender by e-mail and delete the original message. Further, you are not 
to copy, disclose, or distribute this e-mail or its contents to any other person and 
any such actions are unlawful. This e-mail may contain viruses. Infosys has taken 
every reasonable precaution to minimize this risk, but is not liable for any damage 
you may sustain as a result of any virus in this e-mail. You should carry out your 
own virus checks before opening the e-mail or attachment. Infosys reserves the 
right to monitor and review the content of all messages sent to or from this e-mail 
address. Messages sent to or from this e-mail address may be stored on the 
Infosys e-mail system.
***INFOSYS******** End of Disclaimer ********INFOSYS***
_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg

---

From: Mark Stapp <[email-masked]>
Date: Mon, 29 Sep 2008 15:57:49 -0400

Hi Bharat,

thanks for the quick feedback. I've made the edits you've described, and 
I'll publish another version of the draft today.

Regards,
Mark

---

From: Bharat Joshi <[email-masked]>
Date: Tue, 30 Sep 2008 08:48:01 +0530

Hi Mark,

> * This draft suggests two different types of Relay Identifiers. So should we now restrict that a Relay Agent SHOULD uses just one of them and should be consistent in its usage of the Relay identifi…

Regards,
Bharat
________________________________________
From: Mark Stapp [[email-masked]]
Sent: Tuesday, September 30, 2008 1:27 AM
To: Bharat Joshi
Cc: dhcwg
Subject: Re: [dhcwg] I-D Action:draft-ietf-dhc-relay-id-suboption-02.txt

Hi Bharat,

Regards,
Mark

---

From: Mark Stapp <[email-masked]>
Date: Tue, 30 Sep 2008 08:56:40 -0400

I did add a sentence and do some re-arranging in section 7
(Identifier Stability) to try to address that point. do you think
what's there is still not clear?

Thanks,

Mark

Bharat Joshi wrote:

Hi Mark,

Regards,
Bharat

Hi Bharat,

Regards,
Mark

Bharat Joshi wrote:

Hi Mark,

Thanks,
Bharat

Thanks,
Mark

Author(s) : M. Stapp

Pages : 8

Date : 2008-09-19

Internet-Draft.

dhcwg mailing list

---

From: Bharat Joshi <[email-masked]>
Date: Tue, 30 Sep 2008 21:07:07 +0530

Hi Mark,

      I have not looked at the latest revision yet. I will look at it and send a mail if I have any questions.

Thanks,
Bharat

________________________________
From: Mark Stapp [mailto:[email-masked]]
Sent: Tuesday, September 30, 2008 6:27 PM
To: Bharat Joshi
Cc: dhcwg
Subject: Re: [dhcwg] I-D Action:draft-ietf-dhc-relay-id-suboption-02.txt

I did add a sentence and do some re-arranging in section 7 (Identifier Stability) to try to address that point. do you think what's there is still not clear?

Thanks,
Mark

Bharat Joshi wrote:

Hi Mark,

Regards,

Bharat

From: Mark Stapp [[email-masked]<mailto:[email-masked]>]

To: Bharat Joshi

Cc: dhcwg

Hi Bharat,

Regards,

Mark

Bharat Joshi wrote:

Hi Mark,

* In second paragraph of Introduction, can we add "(Relay-Id)" just after "Relay Agent Identifier" in the first statement.

* Typo "carries an suboption" -> "carries a suboption"

* Typo " [RFC3315] DUIDs" -> "DUIDs [RFC3315]"

* In last statement of section 3.1, "such as a unique identifier" should be "such as Relay Agent Identifier"

'draft-dtv' describes a case where Relay Agents query DHCP servers using the Relay Id to fetch all the leases allocated through this Relay Agent.

* In section #4, minimum length is defined as one. Is this inclusive of length of 'type' field? Should not this be two(2)?

Thanks,

Bharat

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Mark Stapp

To: dhcwg

Thanks,

Mark

[email-masked]<mailto:[email-masked]><mailto:[email-masked]><mailto:[email-masked]> wrote:

       Author(s)       : M. Stapp

       Pages           : 8

       Date            : 2008-09-19

Internet-Draft.

dhcwg mailing list

[email-masked]<mailto:[email-masked]><mailto:[email-masked]><mailto:[email-masked]>

Infosys e-mail system.